commit a4b4be8cd99a32ab3744d149cfad198998493010
parent ea5dd7217ac6f2b6507ec951dac86939995fd460
Author: Vincent Forest <vincent.forest@meso-star.com>
Date: Thu, 9 Apr 2026 10:34:05 +0200
Update of copyright years
Diffstat:
8 files changed, 37 insertions(+), 23 deletions(-)
diff --git a/README.md b/README.md
@@ -223,11 +223,12 @@ Add the `city` exemple
## Copyright notice
-Copyright (C) 2021, 2022 [|Meso|Star>](http://www.meso-star.com) (contact@meso-star.com)
+Copyright (C) 2021, 2022, 2026 [|Meso|Star>](http://www.meso-star.com) (contact@meso-star.com)
## License
-Stardis: Starter Pack is released under the GPLv3+ license: GNU GPL version 3
-or later. You can freely study, modify or extend it. You are also welcome to
-redistribute it under certain conditions; refer to the
-[license](https://www.gnu.org/licenses/gpl.html) for details.
+Stardis: Starter Pack is free software released under the GPLv3+
+license: GNU GPL version 3 or later.
+You can freely study, modify or extend it.
+You are also welcome to redistribute it under certain conditions; refer
+to the [license](https://www.gnu.org/licenses/gpl.html) for details.
diff --git a/city/run_IR_rendering.sh b/city/run_IR_rendering.sh
@@ -1,5 +1,6 @@
-#!/bin/sh -e
-# Copyright (C) 2021, 2022 |Meso|Star>
+#!/bin/sh
+
+# Copyright (C) 2021, 2022,2026 |Meso|Star> (contact@meso-star.com)
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -14,6 +15,7 @@
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
+set -e
### USER PARAMETERS SECTION
SPP=1024 #samples per pixel
diff --git a/cube/run_dump_path.sh b/cube/run_dump_path.sh
@@ -1,5 +1,6 @@
-#!/bin/sh -e
-# Copyright (C) 2021, 2022 |Meso|Star>
+#!/bin/sh
+
+# Copyright (C) 2021, 2022, 2026 |Meso|Star> (contact@meso-star.com)
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -14,6 +15,7 @@
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
+set -e
### USER PARAMETERS SECTION
NPATH=10
diff --git a/cube/run_green_evaluation.sh b/cube/run_green_evaluation.sh
@@ -1,5 +1,6 @@
-#!/bin/sh -e
-# Copyright (C) 2021, 2022 |Meso|Star>
+#!/bin/sh
+
+# Copyright (C) 2021, 2022, 2026 |Meso|Star> (contact@meso-star.com)
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -14,6 +15,7 @@
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
+set -e
### USER PARAMETERS SECTION
NREAL=10000
diff --git a/cube/run_probe_computation.sh b/cube/run_probe_computation.sh
@@ -1,5 +1,6 @@
-#!/bin/sh -e
-# Copyright (C) 2021, 2022 |Meso|Star>
+#!/bin/sh
+
+# Copyright (C) 2021, 2022, 2026 |Meso|Star> (contact@meso-star.com)
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -14,6 +15,7 @@
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
+set -e
### USER PARAMETERS SECTION
NREAL=10000
diff --git a/heatsink/run_medium_computation.sh b/heatsink/run_medium_computation.sh
@@ -1,5 +1,6 @@
-#!/bin/sh -e
-# Copyright (C) 2021, 2022 |Meso|Star>
+#!/bin/sh
+
+# Copyright (C) 2021, 2022, 2026 |Meso|Star> (contact@meso-star.com)
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -14,6 +15,7 @@
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
+set -e
### USER PARAMETERS SECTION
NREAL=1000
diff --git a/heatsink/run_medium_computation_multiple.sh b/heatsink/run_medium_computation_multiple.sh
@@ -1,5 +1,6 @@
-#!/bin/sh -e
-# Copyright (C) 2021, 2022 |Meso|Star>
+#!/bin/sh
+
+# Copyright (C) 2021, 2022, 2026 |Meso|Star> (contact@meso-star.com)
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -25,10 +26,10 @@ rm -f "${GEOM_FILE}"
#check stardis installation
if ! command -v stardis > /dev/null ; then
- echo ">>> stardis command not found !"
- echo ">>> To register stardis in the current shell you must type :"
- echo ">>> . ~/Stardis-XXX-GNU-Linux64/etc/stardis.profile"
- echo ">>> where ~/Stardis-XXX-GNU-Linux64 is the stardis directory installation"
+ >&2 printf '>>> stardis command not found !\n'
+ >&2 printf '>>> To register stardis in the current shell you must type :\n'
+ >&2 printf '>>> . ~/Stardis-XXX-GNU-Linux64/etc/stardis.profile\n'
+ >&2 printf '>>> where ~/Stardis-XXX-GNU-Linux64 is the stardis directory installation\n'
exit 1
fi
diff --git a/porous/run_IR_rendering.sh b/porous/run_IR_rendering.sh
@@ -1,5 +1,6 @@
-#!/bin/sh -e
-# Copyright (C) 2021, 2022 |Meso|Star>
+#!/bin/sh
+
+# Copyright (C) 2021, 2022, 2026 |Meso|Star> (contact@meso-star.com)
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -14,6 +15,7 @@
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
+set -e
### USER PARAMETERS SECTION
SPP=32 #samples per pixel